#include "B4RDefines.h"


namespace B4R
{
	void rESP8266WatchDogTimer::WDT_Enable(Byte TimeOut)
	{
			switch(TimeOut)
			{
				case TME_15MS:
					{
						wdt_enable(WDTO_15MS);
						break;
					}
				case TME_30MS:
					{
						wdt_enable(WDTO_30MS);
						break;
					}
				case TME_60MS:
						{
							wdt_enable(WDTO_60MS);
							break;
						}
				case TME_120MS:
							{
								wdt_enable(WDTO_120MS);
								break;
							}
				case TME_250MS:
								{
									wdt_enable(WDTO_250MS);
									break;
								}
				case TME_500MS:
									{
										wdt_enable(WDTO_500MS);
										break;
									}
				case TME_1S:
										{
											wdt_enable(WDTO_1S);
											break;
										}
										case TME_2S:
											{
												wdt_enable(WDTO_2S);
												break;
											}
											case TME_4S:
												{
													wdt_enable(WDTO_4S);
													break;
												}
												case TME_8S:
													{
														wdt_enable(WDTO_8S);
														break;
													}
				default:
					break;
			}
	}
	void rESP8266WatchDogTimer::WDT_Disable()
	{
			wdt_disable();
	}
	void rESP8266WatchDogTimer::WDT_Reset()
	{
			wdt_reset();
	}
}
