#pragma once
#include "B4RDefines.h"
#include <esp.h>

namespace B4R
{
	class rESP8266WatchDogTimer
	{
		public:
			#define TME_15MS 0
			#define TME_30MS 1
			#define TME_60MS 2
			#define TME_120MS 3
			#define TME_250MS 4
			#define TME_500MS 5
			#define TME_1S 6
			#define TME_2S 7
			#define TME_4S 8
			#define TME_8S 9

			void WDT_Enable(Byte TimeOut);
			void WDT_Disable();
			void WDT_Reset();
	};
}
